import {
  Actions,
  ActionType,
} from './config.action';

import {
  State,
  initialState,
} from './config.state';

export function reducer(state: State = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.ChangeZone: {
      return {
        ...state,
        zone: action.payload,
      };
    }

    case ActionType.ChangeDiscoverHost: {
      return {
        ...state,
        discoverHost: action.payload,
      };
    }

    default: {
      return state;
    }
  }
}
