import { Component, Input, Output, EventEmitter } from '@angular/core';
import { PingResult } from '@overflow/model/ping';
import { Host, Port, Service } from '@overflow/model/discovery';


@Component({
  selector: 'app-infra-detail-node',
  templateUrl: './node.component.html',
  styleUrls: ['./node.component.scss'],
})
export class NodeComponent {

  @Input() selectedInfra: { group: string, infra: Host | Port | Service } | null;
  @Output() otherHostSelect = new EventEmitter<Host>();
  @Output() ping = new EventEmitter<PingResult>();

  constructor(
  ) {

  }

  otherHostSelected(host: Host) {
    this.otherHostSelect.emit(host);
  }

}
